# markov-bot

Markov chain discord bot, sends randomly generated sentences at configurable intervals and when mentioned.

## Setup

Put some text into `corpus.txt`, and then run

    git clone https://git.xeno.science/xenofem/markov-bot
    cd markov-bot
    python3 -m venv env
    source env/bin/activate
    pip install discord.py
    python markov-prep.py
    cp config.json.example config.json
    vi config.json
    python markov-bot.py

## Configuration

- `mode`: can be `reply`, to reply to occasional messages, or `timed`, to send messages unprompted to random channels at a set interval
- `reply_invfreq`: in `reply` mode, will reply to one in N messages on average
- `reply_delay_min`: minimum amount of time to wait before sending a reply
- `reply_delay_max`: maximum amount of time to wait before sending a reply
- `timed_interval_min`: in `timed` mode, minimum time between successive messages in the same guild
- `timed_interval_max`: maximum time between successive messages in the same guild
- `token`: Discord bot API token
